Summary: get an X.509 certificate for Fermilab using kerberos
Name: fermilab-util_kx509
Version: 3.1
Release: 1%{?dist}
License: BSD
Group: Applications/System
Source0: kx509
Source1: kx509.1
Requires: cigetcert
# Enable the following two lines when the KCA is shut down
# Provides: krb5-fermi-getcert = %{version}
# Obsoletes: krb5-fermi-getcert < 3

BuildArch: noarch
%if %{?rhel}%{!?rhel:6} <= 5
BuildRoot: %(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
%endif

%description
fermilab-util_kx509 contains a kx509 command which gets an X.509
certificate for Fermilab using cigetcert with kerberos authentication.

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/%{_bindir}
mkdir -p $RPM_BUILD_ROOT/%{_datadir}/man/man1
cp %{SOURCE0} $RPM_BUILD_ROOT/%{_bindir}
gzip -c %{SOURCE1} >$RPM_BUILD_ROOT/%{_datadir}/man/man1/kx509.1.gz

%clean
rm -rf $RPM_BUILD_ROOT

%files
%{_bindir}/*
%{_datadir}/man/man1/*


%changelog
* Thu Feb 18 2016 Dave Dykstra <dwd@fnal.gov> 3.1-1
- Add support for X509_USER_PROXY variable

* Thu Feb 11 2016 Dave Dykstra <dwd@fnal.gov> 3.0-1
- Initial rpm packaging.  The numbering is starting with 3.0 to be 
  greater than the latest krb5-fermi-getcert, the package that this
  is replacing.
